% BOD Toolbox.
% Version 2.0   April-2002
%
%Kurze Einfhrung zu BOD >>>http://www.eti.et.tu-dresden.de/ae/ae_1_0.htm<<<
%m-Files laden           >>>http://www.eti.et.tu-dresden.de/ae/ae_1.htm<<<
%
%
% Z-Transformation.
%   trans       - Z-Transformation mit Wahl der Kopplung(Taster/Halteglied) und der
%                 Messung(Augenblickswert/Mittelwert); Wahlweise modifizierte
%                 Z-Transformation; Aufruf wahlweise mengefhrt oder vektorgesteuert;
%                 LTI-System oder bertragungsfunktion.
%
% Reglerberechnung.
%   bod         - Digitales Betragsoptimum (BOD); mengefhrt oder vektorgesteuert;
%                 LTI-System oder bertragungsfunktion.
%   eez         - Einstellung auf Endliche Einstellzeit (EEZ); mengefhrt oder
%                 vektorgesteuert; LTI-System oder bertragungsfunktion.
%   kmatrix     - Berechnung von Faktoren fuer das BOD-Optimierungsgleichungssystem
%   bodg        - Hilfsfile - Aufruf nur durch bod.m; NICHT in private Direktory laden!
%
%Parameterumrechnung
%   urlaz       - Umrechnung von Reglerparametern zwischen Laplace- und Z-Bereich;
%                 mengefhrt oder vektorgesteuert; Wahl von: Umrechnungsrichtung,
%                 Beschreibung im p-Bereich, Struktureinstellung Z-Bereich, Auswahl 
%                 einer Nherung.
%
%Regelkreisstruktur
%   kaskade     - Optimierung einer Kaskadenstruktur mit digitalen Reglern u. Filtern;
%                 zwei- oder dreischleifig; LTI-Syntax; Steuermatrix; Wahl des
%                 Optimierungsverfahrens: bod, eez oder andere angepate Syntax.
%   zust_au     - Optimierung einer digitalen Zustandsregelstruktur am Beispiel; 
%                 automatisierte Berechnung von 3 Koeffizienten; Einsatz des Digitalen
%                 Betragsoptimums (BOD); Literaturstelle zur Struktur des Beispiels.
%   zust_aug    - Hilfsfile - Aufruf nur durch zust_au.m; Struktur im Z-Bereich;
%   zust_aup    - wie zust_au jedoch mit Variation von Streckenzeitkonstanten: 
%                                                 Motor-, Feder- und Lastzeitkonstante.
%   zust_aut    - wie zust_au jedoch mit Variation von Variation von Abtastzeit und
%                                                            Restzeitkonstante Ggstrom.
%
%Auswertung&Test
%   guete       - Gtekenngren der bergangsfunktion nach Regelkreissimulation mit 
%                 SIMULINK; Wahl von: Unter- bzw. berschwingweite und  Zeitpunkt 
%                 des Auftretens, An- bzw. Ausregelzeit, fnf verschiedenen Abtast-
%                 Regelflchen.
%   simu        - Simulation und wahlweise Berechnung von Gtekennwerten der bergangs-
%                 funktion fr einen einschleifigen Regelkreis.
%
%DEMO'S         - siehe 13 z. T. interaktive Anwendungsbeispiele in DEMO-Direktorie 
%                 ==> 'help TB_V20/DEMO' 


%   Copyright (c) 1997-2002 Dr. G.-H. Geitner, TU Dresden. All Rights Reserved.
%   Letzte nderung: 22.04.2002

